{% extends 'searching/base.html' %}

{% block content %}
<div class="section">
    <div class="container">
        <!--<h2 class="section-title">Labākās dzērienu cenas</h2>-->
        <div class="row">
            <div class="col-md-3">
                <div class="card card-refine card-plain card-rose">
                    <div class="card-body">
                        <h4 class="card-title">
                            Precizējiet rezultātus
                            <button class="btn btn-default btn-fab btn-fab-mini btn-link pull-right" rel="tooltip" title="" data-original-title="Reset Filter">
                                <i class="material-icons">cached</i>
                            </button>
                        </h4>
                        <div id="accordion" role="tablist">
                          <div class="card card-collapse">
                            <div class="card-header" role="tab" id="headingOne">
                              <h5 class="mb-0">
                                <a data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      Cena
                                    <i class="material-icons">keyboard_arrow_down</i>
                                </a>
                              </h5>
                            </div>

                            <div id="collapseOne" class="collapse show" role="tabpanel" aria-labelledby="headingOne">
                              <div class="card-body card-refine">
                                  <span id="price-left" class="price-left pull-left" data-currency="€">€0</span>
                                  <span id="price-right" class="price-right pull-right" data-currency="€">€790</span>
                                  <div class="clearfix"></div>
                                  <div id="sliderRefine" class="slider slider-rose noUi-target noUi-ltr noUi-horizontal"><div class="noUi-base"><div class="noUi-origin" style="left: 8.16092%;"><div class="noUi-handle noUi-handle-lower" data-handle="0" tabindex="0" role="slider" aria-orientation="horizontal" aria-valuemin="0.0" aria-valuemax="87.4" aria-valuenow="8.2" aria-valuetext="101.00" style="z-index: 5;"></div></div><div class="noUi-connect" style="left: 8.16092%; right: 12.6437%;"></div><div class="noUi-origin" style="left: 87.3563%;"><div class="noUi-handle noUi-handle-upper" data-handle="1" tabindex="0" role="slider" aria-orientation="horizontal" aria-valuemin="8.2" aria-valuemax="100.0" aria-valuenow="87.4" aria-valuetext="790.00" style="z-index: 4;"></div></div></div></div>
                              </div>
                            </div>
                          </div>
                          <div class="card card-collapse">
                            <div class="card-header" role="tab" id="headingTwo">
                              <h5 class="mb-0">
                                <a class="collapsed" data-toggle="collapse" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    Dzēriena veids
                                      <i class="material-icons">keyboard_arrow_down</i>
                                </a>
                              </h5>
                            </div>
                            <div id="collapseTwo" class="collapse" role="tabpanel" aria-labelledby="headingTwo">
                              <div class="card-body">
                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="" checked="">
                                          Stiprie dzērieni
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Vīni
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Dzirkstošie vīni
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Stiprināti vīni
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Alus
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Kokteļi un Sidrs
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Bezalkoholiskie
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                              </div>
                            </div>
                          </div>
                          <div class="card card-collapse">
                            <div class="card-header" role="tab" id="headingThree">
                              <h5 class="mb-0">
                                <a class="collapsed" data-toggle="collapse" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    Ražotājs
                                    <i class="material-icons">keyboard_arrow_down</i>
                                </a>
                              </h5>
                            </div>
                            <div id="collapseThree" class="collapse show" role="tabpanel" aria-labelledby="headingThree">
                              <div class="card-body">
                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="" checked="">
                                          Visi
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Chardonay
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          Henessy
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>
                              </div>
                            </div>
                          </div>
                          <div class="card card-collapse">
                            <div class="card-header" role="tab" id="headingFour">
                              <h5 class="mb-0">
                                <a class="collapsed" data-toggle="collapse" href="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                    Tilpums (litros)
                                    <i class="material-icons">keyboard_arrow_down</i>
                                </a>
                              </h5>
                            </div>
                            <div id="collapseFour" class="collapse" role="tabpanel" aria-labelledby="headingFour">
                              <div class="card-body">
                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="" checked="">
                                          Visi
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          0.05
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          0.2
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          0.5
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          0.75
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                                  <div class="form-check">
                                      <label class="form-check-label">
                                          <input class="form-check-input" type="checkbox" value="">
                                          1
                                          <span class="form-check-sign">
                                              <span class="check"></span>
                                          </span>
                                      </label>
                                  </div>

                              </div>
                            </div>
                          </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-9">
                {% if page_obj.has_previous or page_obj.has_next %}
                    <div class="row">
                        <ul class="pagination">
                            {% if page_obj.has_previous %}
                            	<li class="page-item">
                            	  <a class="page-link" href="?q={{ query }}&amp;page={{ page_obj.previous_page_number }}" tabindex="-1">Previous</a>
                            	</li>
                            {% else %}
                            	<li class="page-item disabled">
                            	  <a class="page-link" href="#" tabindex="-1">Previous</a>
                            	</li>
                            {% endif %}
                            {% for pg in page_obj.paginator.page_range %}
                                {% if page_obj.number == pg %}
                                  <li class="page-item active">
                                      <a class="page-link" href="?q={{ query }}&amp;page={{ pg }}">{{ pg }} <span class="sr-only">(current)</span></a>
                        	      </li>
                                {% else %}
                                  <li class="page-item"><a class="page-link" href="?q={{ query }}&amp;page={{ pg }}">{{ pg }}</a></li>
                                {% endif %}
                            {% endfor %}
                            {% if page_obj.has_next %}
                            	<li class="page-item">
                            	  <a class="page-link" href="?q={{ query }}&amp;page={{ page_obj.next_page_number }}" tabindex="-1">Next</a>
                            	</li>
                            {% else %}
                            	<li class="page-item disabled">
                            	  <a class="page-link" href="#" tabindex="-1">Next</a>
                            	</li>
                            {% endif %}
                        </ul>
                    </div>
                {% endif %}
                <div class="row">
                    {% if query %}
                        {% for result in page_obj.object_list %}
        
                        <div class="col-lg-3 col-md-6">
        					<div class="card card-product"><div class="card-header card-header-image">
        						<a href="#pablo">
        							<img class="img" src="{{ result.object.photo_thumbnail.url }}" alt="{{ result.object.name }}">
        				    	</a>
        			    		<div class="colored-shadow" style="background-image: url(&quot;{{result.object.photo_thumbnail.url}}&quot;); opacity: 1;"></div></div>
        		    				<div class="card-body">
        								<h6 class="card-category text-muted">{{ result.object.category }}</h6>
        								<h4 class="card-title">
        									<a href="#pablo">{{ result.object.name|truncatechars:40 }}</a>
                                        </h4>
        								<div class="card-description">
        									{{ result.object.percent|floatformat:"0" }}&percnt;, {{ result.object.liters }}&lscr;
        								</div>
        							</div>
        	    					<div class="card-footer justify-content-between">
                                        <div class="price-container">
                                            <h4 class="price price-old">{{ result.object.price_vat }} &euro;</h4>
                                            <h4 class="price price-new">{{ result.object.price_no_vat }} &euro;</h4>
                                        </div>
                                    </div>
                                </div>
            				</div>
                        {% empty %}
                            <!--<div>No results found.</div>-->
                        {% endfor %}
                    {% else %}
                        {# Show some example queries to run, maybe query syntax, something else? #}
                        <!--<div>No query run.</div>-->
                    {% endif %}
                </div>
                {% if page_obj.has_previous or page_obj.has_next %}
                    <div class="row">
                        <ul class="pagination">
                            {% if page_obj.has_previous %}
                            	<li class="page-item">
                            	  <a class="page-link" href="?q={{ query }}&amp;page={{ page_obj.previous_page_number }}" tabindex="-1">Previous</a>
                            	</li>
                            {% else %}
                            	<li class="page-item disabled">
                            	  <a class="page-link" href="#" tabindex="-1">Previous</a>
                            	</li>
                            {% endif %}
                            {% for pg in page_obj.paginator.page_range %}
                                {% if page_obj.number == pg %}
                                  <li class="page-item active">
                                      <a class="page-link" href="?q={{ query }}&amp;page={{ pg }}">{{ pg }} <span class="sr-only">(current)</span></a>
                        	      </li>
                                {% else %}
                                  <li class="page-item"><a class="page-link" href="?q={{ query }}&amp;page={{ pg }}">{{ pg }}</a></li>
                                {% endif %}
                            {% endfor %}
                            {% if page_obj.has_next %}
                            	<li class="page-item">
                            	  <a class="page-link" href="?q={{ query }}&amp;page={{ page_obj.next_page_number }}" tabindex="-1">Next</a>
                            	</li>
                            {% else %}
                            	<li class="page-item disabled">
                            	  <a class="page-link" href="#" tabindex="-1">Next</a>
                            	</li>
                            {% endif %}
                        </ul>
                    </div>
                {% endif %}
            </div>
        </div>

    </div>
</div>            
        
                    
{% endblock %}

